Bug 1429287 - Hint the user that the third node will be the Arbiter node, in case of arbiter volume creation
Summary: Hint the user that the third node will be the Arbiter node, in case of arbite...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: 0.10.7-0.0.13
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ovirt-4.1.1
: 0.10.7-0.0.15
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-03-06 02:27 UTC by SATHEESARAN
Modified: 2017-04-21 09:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:46:51 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: blocker+
rule-engine: planning_ack+
rnachimu: devel_ack+
knarra: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 73734 master MERGED gdeploy: add note regarding arbiter hosts 2017-03-08 16:14:39 UTC
oVirt gerrit 73783 ovirt-4.1 MERGED gdeploy: add note regarding arbiter hosts 2017-03-08 16:25:36 UTC

Description SATHEESARAN 2017-03-06 02:27:28 UTC
Description of problem:
-----------------------
Hint the user that the third node will be arbiter node, in case user prefers to create arbiter volume

Few options
 - In the first tab of Gluster deployment show an note next to third node -" This node becomes arbiter node, in case of arbiter volume creation".

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
cockpit-ovirt-dashboard-0.10.7-0.0.13

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Setup Hosted Engine with Gluster with arbiter volume

Actual results:
---------------
There is no hint to know that which one of the node will become arbiter

Expected results:
-----------------
User may have one node less in configuration spec and he might want that to become arbiter, so in this case user should know where to put his arbiter node for gdeploy to make use of it

Comment 1 SATHEESARAN 2017-03-06 02:31:15 UTC
Please add such a description or hint also to the brick section of cockpit, so that would hint the user that the specified brick will be the 'arbiter brick'

Comment 2 Ramesh N 2017-03-08 09:01:49 UTC
A note regarding the arbiter host is added in following places.

1. Host3 in host listing will have a popover message regarding arbiter host.
2. Arbiter check box in the Volumes tab will have a tool tip regarding arbiter host.
3. Bricks step will have info note regarding arbiter host.

Comment 3 SATHEESARAN 2017-03-20 06:40:32 UTC
Tested with cockpit-ovirt-dashboard-0.10.7-0.0.15

The hosts and bricks tab of cockpit UI carry the information about the which host will be chosen for arbiter node and arbiter brick creation.


Note You need to log in before you can comment on or make changes to this bug.